#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-BuZ9Y3wjW46ESfxVWPmmRG
key:                  hOpenPGP-2.9.5-BuZ9Y3wjW46ESfxVWPmmRG
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  0efbd77918bbdb01e7e4c7f81c37ce8d
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-9.0.1/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-9.0.1/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-BuZ9Y3wjW46ESfxVWPmmRG
depends:
    aeson-1.5.6.0-EMNFVE8fJ8l4Y3HGKS2Pru
    asn1-encoding-0.9.6-Z6DuGGNAy85yjrw8aeYW0
    attoparsec-0.14.1-HDq60uH3YzEJlUmAXMWIIW base-4.15.0.0
    base16-bytestring-1.0.1.0-4q9Lma1TDj6EXioeebaTcC
    bifunctors-5.5.11-5RIYHi6X4vJC3s9Pyg6nS8 binary-0.8.8.0
    binary-conduit-1.3.1-1S5Vq7ufPafJJvJOfcxXmR bytestring-0.10.12.1
    bz2-1.0.1.0-dW0eLziU3VAV4oGaQclQj
    conduit-1.3.4.1-7bC6SFRjUvGnVOzMLerZs
    conduit-extra-1.3.5-BDN9WhmNMWyHEILWyzxpzC containers-0.6.4.1
    crypto-cipher-types-0.0.9-2oAnHtqeRctAMvgq4mBtVl
    cryptonite-0.29-CfwQBMBQX3HKE68104HY4r
    errors-2.3.0-L61cpO3OjOyLP7j03MZ5aR
    hashable-1.3.2.0-2579b4ed8EpGiVuNwiQjKE
    incremental-parser-0.5.0.2-LJURrTeDj7w29XcyrOvCNU
    ixset-typed-0.5-8DlF1lu7y2sDwduaydsvdj
    lens-5.0.1-FdpuvmTBMS53qHfLYlRUsS
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    monad-loops-0.4.3-CoSqVlGqFyAAyK5Lg2m9AJ
    nettle-0.3.0-LBTadu1XgKbBXssreAKwoe
    network-uri-2.6.4.1-BF1HIHRcf8L4FYFNmmtGI3
    openpgp-asciiarmor-0.1.2-DfUkleI7kp91mewaEQadh0
    prettyprinter-1.7.0-Cv93GjGYNLOKijRGj1JX2N
    resourcet-1.2.4.2-4P7EC2M8bdj8uzzgTY5d1M
    split-0.2.3.4-EOGBur3fzswDbYty7lcntO text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-HOIeHz8A3IdD2UbO8b27LU
    transformers-0.5.6.2 unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-9dFFYFCso8sGtsfFV1YYEC
    zlib-0.6.2.3-FzC6CC8NykmGKHPWaeGNtk

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

